## pysubnettree 0.11+1

=== Makefile ===
# $Id$
#
# Makefile not need to build module. Use "python setup.py install" instead.
#
# This Makefile generates the SWIG wrappers and the documentation.

VERSION=0.11

DISTFILES=LICENSE Makefile README README.html SubnetTree.cc SubnetTree.h \
	SubnetTree.i SubnetTree.py SubnetTree_wrap.cc patricia.c patricia.h setup.py test.py

CLEAN=build SubnetTree_wrap.cc SubnetTree.py README.html *.pyc 

TGZ=pysubnettree-$(VERSION)

all: SubnetTree_wrap.cpp README.html

SubnetTree_wrap.cpp SubnetTree.py: SubnetTree.i SubnetTree.h
	swig -c++ -python -o SubnetTree_wrap.cc SubnetTree.i

README.html : README
	-asciidoc -a toc -b xhtml11-custom README

clean:
	rm -rf $(CLEAN)

dist:
	@rm -rf $(TGZ)
	@mkdir $(TGZ)
	@cp -rp $(DISTFILES) $(TGZ)
	tar czvf $(TGZ).tar.gz $(TGZ)
	@rm -rf $(TGZ)

## pysubnettree 0.12

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 # This Makefile generates the SWIG wrappers and the documentation.
 
-VERSION=0.11
+VERSION=0.12
 
 DISTFILES=LICENSE Makefile README README.html SubnetTree.cc SubnetTree.h \
 	SubnetTree.i SubnetTree.py SubnetTree_wrap.cc patricia.c patricia.h setup.py test.py
@@ -18,6 +18,8 @@
 SubnetTree_wrap.cpp SubnetTree.py: SubnetTree.i SubnetTree.h
 	swig -c++ -python -o SubnetTree_wrap.cc SubnetTree.i
 
+doc: README.html
+
 README.html : README
 	-asciidoc -a toc -b xhtml11-custom README

## pysubnettree 0.22

=== Makefile ===
# Makefile not needed to build module. Use "python setup.py install" instead.
#
# This Makefile generates the SWIG wrappers and the documentation.

DISTFILES=COPYING Makefile README SubnetTree.cc SubnetTree.h \
	SubnetTree.i SubnetTree.py SubnetTree_wrap.cc patricia.c patricia.h setup.py test.py

CLEAN=build SubnetTree_wrap.cc SubnetTree.py README.html *.pyc 

VERSION=`test -e VERSION && cat VERSION || cat ../VERSION`
BUILD=build
TGZ=pysubnettree-$(VERSION)

all: SubnetTree_wrap.cpp

SubnetTree_wrap.cpp SubnetTree.py: SubnetTree.i SubnetTree.h
	swig -c++ -python -o SubnetTree_wrap.cc SubnetTree.i

clean:
	rm -rf $(CLEAN)

dist:
	@install -d $(BUILD)
	@rm -rf $(BUILD)/$(TGZ)
	@mkdir $(BUILD)/$(TGZ)
	@cp -rp $(DISTFILES) $(BUILD)/$(TGZ)
	cd $(BUILD) && tar czvf $(TGZ).tgz $(TGZ)
	@rm -rf $(BUILD)/$(TGZ)
	@echo "Package: $(BUILD)/$(TGZ).tgz"

distclean:
	rm -rf $(BUILD)

## pysubnettree 0.23

=== Makefile ===
--- 
+++ 
@@ -19,14 +19,14 @@
 clean:
 	rm -rf $(CLEAN)
 
+.PHONY: dist
 dist:
-	@install -d $(BUILD)
-	@rm -rf $(BUILD)/$(TGZ)
-	@mkdir $(BUILD)/$(TGZ)
-	@cp -rp $(DISTFILES) $(BUILD)/$(TGZ)
-	cd $(BUILD) && tar czvf $(TGZ).tgz $(TGZ)
-	@rm -rf $(BUILD)/$(TGZ)
-	@echo "Package: $(BUILD)/$(TGZ).tgz"
+	@python setup.py sdist
 
 distclean:
-	rm -rf $(BUILD)
+	rm -rf pysubnettree.egg-info
+	rm -rf dist
+	rm -rf build
+
+upload:
+	python setup.py sdist upload --sign --identity F8CB8019

=== debian/changelog ===
pysubnettree (0.23-1) unstable; urgency=medium

  * New upstream release
    - Readd SubnetTree.i from git inadvertently omitted from tarball
    - Add build-depends on python{3}-setuptools to match upstream change
  * Update debian/watch to point at pypi where the tarball is now found
  * Bump standards version to 3.9.5 without further change
  * Improve clean target
  * Switch to source format 3.0 (quilt)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 May 2014 14:17:31 -0400

pysubnettree (0.22-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch for new location at bro.org
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 26 Oct 2013 13:10:39 -0400

pysubnettree (0.19-3) unstable; urgency=low

  * Upload to unstable
  * Override dh_auto_build to move swig generated files aside to ensure
    they are rebuilt during the build
  * Update Vcs-* fields to their canonical locations in debian/control
  * Update Homepage field in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Apr 2013 14:11:20 -0400

pysubnettree (0.19-2) experimental; urgency=low

  * Add support for Python 3
    - Add python3-all-dev to build-depends
    - Add new python3-subnettree binary
    - Add python3-subnettree.docs
    - Redo debian/rules to support running build with setup.py for all
      supported python and python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Oct 2012 01:22:47 -0400

pysubnettree (0.19-1) experimental; urgency=low

  [ Raúl Benencia ]
  * New upstream release
    - New upstream homepage
    - Updated debian/watch file
  * Remove deprecated XB-Python-Version field
  * Change XS-Python-Version for X-Python-Version
  * Updated copyright file to a machine readable format
  * Bump standards version to 3.9.4 without further change

  [ Scott Kitterman ]
  * Remove unneeded python:Provides

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 17 Oct 2012 14:40:42 -0300

pysubnettree (0.12-4) unstable; urgency=low

  * Convert from python-central to dh_python2
    - Drop build-depends on python-central
    - Bump python-all-dev build-dep requirement to 2.6.5-2~
    - Switch debian/rules to build --with python2
  * Remove DM-Upload-Allowed

 -- Scott Kitterman <scott@kitterman.com>  Mon, 21 Jun 2010 00:21:26 -0400

pysubnettree (0.12-3) unstable; urgency=low

  * Fix build for python2.6 so it works by switching from cdbs to dh7
    (closes: 578339)
    - Convert debian/rules to dh 7
    - Drop build-depends on cdbs
    - Bump minimum debhelper version requirement to 7.4.12
    - Add missing build-depends on swig
    - Remove pycompat since it will no longer be regenerated by cdbs
    - Renumate debian/docs to debian/python-subnettree.docs
  * Change XS/XB-Python-Version from all to >= 2.4
  * Bump standards version to 3.8.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Apr 2010 00:35:05 -0400

pysubnettree (0.12-2) unstable; urgency=low

  * Fix debian/rules to build for all supported Python versions
  * Prepare for Python 2.6
    - Add install-layout=deb to setup.py install rule
    - Bump minimum python-all-dev version to 2.5.4-2~
    - Remove extraneous site-packages dir for Python 2.6
  * Bump standards version to 3.8.3 without further change
  * Add ${misc:Depends} for python-subnettree
  * Fix use of copyright symbol in debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Nov 2009 01:40:46 -0500

pysubnettree (0.12-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Scott Kitterman ]
  * New upstream release
  * Switch to python-central
    - Update debian/control and rules
    - Remove debian/pyversions
  * Update standards version to 3.8.0.1 without further change
  * Add XS-DM-Upload-Allowed: yes

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Aug 2008 11:36:08 -0400

pysubnettree (0.11+1-1) unstable; urgency=low

  * New fake upstream release
    - Corrects package license in setup.py
  * Removed setup_correction.patch (incorporated upstream) 

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Oct 2007 15:22:33 -0400

pysubnettree (0.11-1) unstable; urgency=low

  * Initial Debian package (Closes: #446816)
  * Patch setup.py to correctly reflect package license 
    (setup_correction.patch)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 15 Oct 2007 17:09:10 -0400

=== debian/control ===
Source: pysubnettree
Section: python
Priority: optional
Maintainer: Scott Kitterman <scott@kitterman.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Raúl Benencia <rul@kalgan.cc>
Build-Depends: debhelper (>= 9),
               python-all-dev (>= 2.6.5-2~),
               python-setuptools,
               python3-all-dev (>= 3.1.2-12~),
               python3-setuptools,
               swig
X-Python-Version: >= 2.4
Standards-Version: 3.9.5
Homepage: http://bro.org/download/README.pysubnettree.html
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pysubnettree/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pysubnettree/trunk/

Package: python-subnettree
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python Module for CIDR Lookups
 The PySubnetTree package provides a Python data structure SubnetTree which
 maps subnets given in CIDR (Classless Inter-Domain Routing) notation to
 Python objects. Lookups are performed by longest-prefix matching. It supports
 IPv6 addresses.

Package: python3-subnettree
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 Module for CIDR Lookups
 The PySubnetTree package provides a Python data structure SubnetTree which
 maps subnets given in CIDR (Classless Inter-Domain Routing) notation to
 Python3 objects. Lookups are performed by longest-prefix matching. It supports
 IPv6  addresses.

=== debian/rules ===
#!/usr/bin/make -f

buildvers := $(shell pyversions -sv)
build3vers := $(shell py3versions -sv)

%:
	dh $@ --with python2, --with python3

override_dh_auto_build:
	mv $(CURDIR)/SubnetTree_wrap.cc $(CURDIR)/not.SubnetTree_wrap.cc
	dh_auto_build
	mv $(CURDIR)/not.SubnetTree_wrap.cc $(CURDIR)/SubnetTree_wrap.cc

override_dh_auto_install:
	dh_install -ppython-subnettree 
	set -e && for i in $(buildvers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python-subnettree; \
	done

	dh_install -ppython3-subnettree
	set -e && for i in $(build3vers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-subnettree; \
	done

override_dh_clean:
	dh_clean
	-cp -f $(CURDIR)/not.SubnetTree_wrap.cc $(CURDIR)/SubnetTree_wrap.cc
	rm -f $(CURDIR)/not.SubnetTree_wrap.cc
	rm -rf $(CURDIR)/build

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pysubnettree/pysubnettree-([0-9.]+).tar.gz

## pysubnettree 0.24

=== debian/changelog ===
pysubnettree (0.24-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:52 +0000

pysubnettree (0.24-1) unstable; urgency=medium

  * New upstream release
    - Remove debian/patches/Add_missing_SubnetTree.i.diff (and patches
      directory), incorporated upstream
  * Override dh_auto_test to nothing so non-existent tests in the upstream
    makefile aren't attempted
  * Update debian/watch to point at bro.org too since pypi release is not up
    to date
  * Prettify python3-subnettree long description a bit

 -- Scott Kitterman <scott@kitterman.com>  Thu, 24 Sep 2015 22:27:13 -0400

pysubnettree (0.23-2) unstable; urgency=medium

  * Update debian/watch to use pypi.debian.net redirector so it works again
  * Bump standards version to 3.9.6 without further change
  * Update Homepage field in debian/control
  * Add dh-python to build-depends

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Apr 2015 17:12:12 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
            Raúl Benencia <rul@kalgan.cc>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all-dev (>= 2.6.5-2~),
                python-setuptools,
                python3-all-dev (>= 3.1.2-12~),
                python3-setuptools,
                swig
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.5
-Homepage: http://bro.org/download/README.pysubnettree.html
+Standards-Version: 3.9.6
+Homepage: https://www.bro.org/sphinx/components/pysubnettree/README.html
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pysubnettree/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pysubnettree/trunk/
 
@@ -28,8 +29,8 @@
 Package: python3-subnettree
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Description: Python3 Module for CIDR Lookups
+Description: Python 3 Module for CIDR Lookups
  The PySubnetTree package provides a Python data structure SubnetTree which
  maps subnets given in CIDR (Classless Inter-Domain Routing) notation to
- Python3 objects. Lookups are performed by longest-prefix matching. It supports
- IPv6  addresses.
+ Python 3 objects. Lookups are performed by longest-prefix matching. It
+ supports IPv6 addresses.

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,6 @@
 	-cp -f $(CURDIR)/not.SubnetTree_wrap.cc $(CURDIR)/SubnetTree_wrap.cc
 	rm -f $(CURDIR)/not.SubnetTree_wrap.cc
 	rm -rf $(CURDIR)/build
+
+override_dh_auto_test:
+	:

=== debian/watch ===
version=3
https://www.bro.org/downloads/release/pysubnettree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
http://pypi.debian.net/pysubnettree/pysubnettree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysubnettree 0.27

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 .PHONY: dist
 dist:
 	@python setup.py sdist
+	@printf "Package: "; echo dist/*.tar.gz
 
 distclean:
 	rm -rf pysubnettree.egg-info
@@ -30,3 +31,7 @@
 
 upload:
 	python setup.py sdist upload --sign --identity F8CB8019
+
+.PHONY : test
+test:
+	@make -C testing

=== debian/changelog ===
pysubnettree (0.27-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * New upstream release
  * Fixed debian/watch
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Jan 2018 03:13:01 -0500

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                python3-setuptools,
                swig
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: https://www.bro.org/sphinx/components/pysubnettree/README.html
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pysubnettree/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pysubnettree/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pysubnettree.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pysubnettree.git
 
 Package: python-subnettree
 Architecture: any

=== debian/watch ===
version=3
https://www.bro.org/downloads/pysubnettree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
http://pypi.debian.net/pysubnettree/pysubnettree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysubnettree 0.28

=== debian/changelog ===
pysubnettree (0.28-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream release
  * Fix debian/watch so only one source is used
  * Bump standards-version to 4.2.1 without further change
  * Swap DPMT to Maintainer and me to Uploaders

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

 -- Scott Kitterman <scott@kitterman.com>  Wed, 31 Oct 2018 07:11:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pysubnettree
 Section: python
 Priority: optional
-Maintainer: Scott Kitterman <scott@kitterman.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>,
            Raúl Benencia <rul@kalgan.cc>
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -11,11 +11,10 @@
                python3-all-dev (>= 3.1.2-12~),
                python3-setuptools,
                swig
-X-Python-Version: >= 2.4
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://www.bro.org/sphinx/components/pysubnettree/README.html
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pysubnettree.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pysubnettree.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pysubnettree.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pysubnettree
 
 Package: python-subnettree
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	mv $(CURDIR)/not.SubnetTree_wrap.cc $(CURDIR)/SubnetTree_wrap.cc
 
 override_dh_auto_install:
-	dh_install -ppython-subnettree 
+	dh_install -ppython-subnettree
 	set -e && for i in $(buildvers); do \
 	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python-subnettree; \
 	done

=== debian/watch ===
version=3
https://www.bro.org/downloads/pysubnettree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysubnettree 0.31

=== debian/changelog ===
pysubnettree (0.31-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Enable hardening flags
  * New upstream release
  * Bump standards-version to 4.4.0 without further change

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 12 Aug 2019 17:16:16 -0400

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>,
-           Raúl Benencia <rul@kalgan.cc>
-Build-Depends: debhelper (>= 9),
+Uploaders: Scott Kitterman <scott@kitterman.com>
+Build-Depends: debhelper-compat (= 9),
                dh-python,
                python-all-dev (>= 2.6.5-2~),
                python-setuptools,
                python3-all-dev (>= 3.1.2-12~),
                python3-setuptools,
                swig
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://www.bro.org/sphinx/components/pysubnettree/README.html
 Vcs-Git: https://salsa.debian.org/python-team/modules/pysubnettree.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pysubnettree

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 buildvers := $(shell pyversions -sv)
 build3vers := $(shell py3versions -sv)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python2, --with python3

## pysubnettree 0.33

=== Makefile ===
# Makefile not needed to build module. Use "python setup.py install" instead.
#
# This Makefile generates the SWIG wrappers and the documentation.

CLEAN=build SubnetTree_wrap.cc SubnetTree.py README.html *.pyc

VERSION=`test -e VERSION && cat VERSION || cat ../VERSION`
BUILD=build
TGZ=pysubnettree-$(VERSION)

all: SubnetTree_wrap.cpp

SubnetTree_wrap.cpp SubnetTree.py: SubnetTree.i include/SubnetTree.h
	swig -c++ -python -Iinclude -o SubnetTree_wrap.cc SubnetTree.i

clean:
	rm -rf $(CLEAN)

.PHONY: dist
dist:
	@python setup.py sdist
	@printf "Package: "; echo dist/*.tar.gz

distclean:
	rm -rf pysubnettree.egg-info
	rm -rf dist
	rm -rf build

.PHONY: upload
upload: twine-check dist
	twine upload -u zeek dist/pysubnettree-$(VERSION).tar.gz

.PHONY: twine-check
twine-check:
	@type twine > /dev/null 2>&1 || \
		{ \
		echo "Uploading to PyPi requires 'twine' and it's not found in PATH."; \
		echo "Install it and/or make sure it is in PATH."; \
		echo "E.g. you could use the following command to install it:"; \
		echo "\tpip install twine"; \
		echo ; \
		exit 1; \
		}

.PHONY : test
test:
	@make -C testing

=== debian/changelog ===
pysubnettree (0.33-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:20 +0100

pysubnettree (0.33-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/fix_includes_for_swig.patch and d/patches, incorporated upstrea

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Feb 2020 15:59:24 -0500

pysubnettree (0.32-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Fix day-of-week for changelog entry 0.19-1.

  [ Scott Kitterman ]
  * New upstream release
  * Update include path in SubnetTree.i so swig can find the header file
  * Bump standards-version to 4.5.0 without further change
  * Update d/watch and homepage to point to zeek.org due to bro -> zeek rename
  * Check upstream gpg signature in d/watch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Feb 2020 13:44:48 -0500

pysubnettree (0.31-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937550

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 17:46:54 -0500

=== debian/control ===
Source: pysubnettree
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev (>= 3.1.2-12~),
               python3-setuptools,
               swig
Standards-Version: 4.5.0
Homepage: https://github.com/zeek/pysubnettree
Vcs-Git: https://salsa.debian.org/python-team/modules/pysubnettree.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pysubnettree

Package: python3-subnettree
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 Module for CIDR Lookups
 The PySubnetTree package provides a Python data structure SubnetTree which
 maps subnets given in CIDR (Classless Inter-Domain Routing) notation to
 Python 3 objects. Lookups are performed by longest-prefix matching. It
 supports IPv6 addresses.

=== debian/rules ===
#!/usr/bin/make -f

build3vers := $(shell py3versions -sv)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_build:
	mv $(CURDIR)/SubnetTree_wrap.cc $(CURDIR)/not.SubnetTree_wrap.cc
	dh_auto_build
	mv $(CURDIR)/not.SubnetTree_wrap.cc $(CURDIR)/SubnetTree_wrap.cc

override_dh_auto_install:
	dh_install -ppython3-subnettree
	set -e && for i in $(build3vers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-subnettree; \
	done

override_dh_clean:
	dh_clean
	-cp -f $(CURDIR)/not.SubnetTree_wrap.cc $(CURDIR)/SubnetTree_wrap.cc
	rm -f $(CURDIR)/not.SubnetTree_wrap.cc
	rm -rf $(CURDIR)/build

override_dh_auto_test:
	:

## pysubnettree 0.35

=== debian/changelog ===
pysubnettree (0.35-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:44:31 +0000

pysubnettree (0.35-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Scott Kitterman ]
  * Update debian/watch for new upstream site layout
  * Update debian/copyright
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Nov 2021 03:06:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pysubnettree
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -10,8 +10,8 @@
                swig
 Standards-Version: 4.5.0
 Homepage: https://github.com/zeek/pysubnettree
-Vcs-Git: https://salsa.debian.org/python-team/modules/pysubnettree.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pysubnettree
+Vcs-Git: https://salsa.debian.org/python-team/packages/pysubnettree.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pysubnettree
 
 Package: python3-subnettree
 Architecture: any

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
https://download.zeek.org/pysubnettree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysubnettree 0.36

=== debian/changelog ===
pysubnettree (0.36-2) unstable; urgency=medium

  * Add debian/salsa-ci.yml
  * Replace void_fn_t with data_fn_t and prefix_data_fn_t (Closes: #1097675)
  * Add myself to Uploaders

 -- Tianyu Chen <billchenchina2001@gmail.com>  Tue, 16 Sep 2025 21:36:23 +0800

pysubnettree (0.36-1) unstable; urgency=medium

  * Fix moving/copying files in debian/rules so as not to leave a mix of
    rebuilt and non-rebuilt files in the binary and update clean rule
    (Closes: #1005044)
  * Add autopkgtest so similar problems are detected before release in the
    future
  * Update debian/watch to version 4
  * Bump standards-version to 4.6.1 without further change
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 Nov 2022 15:55:52 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>
+Uploaders: Scott Kitterman <scott@kitterman.com>,
+           Tianyu Chen <billchenchina2001@gmail.com>
 Build-Depends: debhelper-compat (= 12),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev (>= 3.1.2-12~),
                python3-setuptools,
                swig
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/zeek/pysubnettree
 Vcs-Git: https://salsa.debian.org/python-team/packages/pysubnettree.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pysubnettree

=== debian/rules ===
#!/usr/bin/make -f

build3vers := $(shell py3versions -sv)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	mv -n $(CURDIR)/SubnetTree_wrap.cc $(CURDIR)/not.SubnetTree_wrap.cc
	mv -n $(CURDIR)/SubnetTree.py $(CURDIR)/not.SubnetTree.py
	dh_auto_build

override_dh_auto_install:
	dh_install -ppython3-subnettree
	set -e && for i in $(build3vers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-subnettree; \
	done

override_dh_clean:
	dh_clean
	-cp -f $(CURDIR)/not.SubnetTree_wrap.cc $(CURDIR)/SubnetTree_wrap.cc
	-cp -f $(CURDIR)/not.SubnetTree.py $(CURDIR)/SubnetTree.py
	rm -f $(CURDIR)/not.SubnetTree*
	rm -rf $(CURDIR)/__pycache__

override_dh_auto_test:
	:

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all
Restrictions: allow-stderr
